Get Application Roles
get
/cloudapi/restapi/roles
This end point returns application roles. It includes roles of all the products available for the respective environment.
Request
There are no request parameters for this operation.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object RoleRO
Title:
RoleROApplication role assigned to a user or company.
Nested Schema : RoleRO
Type:
objectTitle:
RoleROApplication role assigned to a user or company.
Show Source
-
companyAccessType: boolean
Title:
companyAccessTypeIndicates whether the role grants company-level access. -
displayName: string
Title:
displayNameDisplay name for the role. -
id: string
Title:
idRead Only:trueInternal role identifier. -
name(required): string
Title:
nameRole name. -
userAccessType: string
Title:
userAccessTypeUser access type granted by the role.
400 Response
Invalid input, Please re-check the input.